Get payment page

View as MarkdownOpen in Claude
Gets the details for a single payment page for a paypoint.

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

subdomainstringRequired

Payment page identifier. The subdomain value is the last portion of the payment page URL. For example, in https://paypages-sandbox.payabli.com/513823dc10/pay-your-fees-1, the subdomain is pay-your-fees-1.

Response

Success
AdditionalDatamap from strings to maps from strings to anyOptional

Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using custom identifiers, pass those in this object. Max length for a value is 100 characters. Example usage:

1{
2 "additionalData": {
3 "key1": "value1",
4 "key2": "value2",
5 "key3": "value3"
6 }
7}
Credentialslist of objectsOptional
Array of credential objects with active services for the page
LastAccessdatetimeOptional
Timestamp of last access to page structure
PageContentobjectOptional
Sections of page
pageIdentifierstringOptional
Auxiliary validation used internally by payment pages and components.
PageSettingsobjectOptional
Settings of page
publishedintegerOptional

Flag indicating if page is active to accept payments. 0 for false, 1 for true.

ReceiptContentobjectOptional
Sections of payment receipt
SubdomainstringOptional<=50 characters
Page identifier. Must be unique in platform.
totalAmountdoubleOptional
Total amount to pay in this page
validationCodestringOptional
Base64 encoded image of CAPTCHA associated to this page load

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error